<?php //to use wp udpate plugin

    $home_id=''; $blog_id=''; $page_id=''; $about_id='';


    // Function to check if a page with a specific title exists
    function page_exists_by_title($title) {
      $page_query = new WP_Query(array(
          'post_type'   => 'page',
          'title'       => $title,
          'post_status' => 'publish',
          'numberposts' => 1
      ));
      
      if ($page_query->have_posts()) {
          // Return the ID of the first matching page
          $page = $page_query->posts[0];
          return $page->ID;
      }
    
      return false; // Return false if no page found
    }

    //Homepage
    $home_title = 'Home';
    if (!page_exists_by_title($home_title)) {
      $home_content = '';
      $home = array(
        'post_type'    => 'page',
        'post_title'   => $home_title,
        'post_content' => $home_content,
        'post_status'  => 'publish',
        'post_author'  => 1,
        'post_name'    => 'home'
      );

      $home_id = wp_insert_post($home);
      
      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');

    }else {
      // Get the ID of the existing page
      $home_id = page_exists_by_title($home_title);

      // Set the home page template
      add_post_meta($home_id, '_wp_page_template', 'page-template/custom-home-page.php');
      
      // Set the static front page
      update_option('page_on_front', $home_id);
      update_option('show_on_front', 'page');
    }
    


    // Create a Page if it doesn't exist
    if ( !page_exists_by_title('Page') ) {
      $page_title = 'Page';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page'
      );
      $page_id = wp_insert_post($ot_page);
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page');
    }

    if ( !page_exists_by_title('Page Left Sidebar') ) {
      $page_title = 'Page Left Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-left'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/left-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Left Sidebar');
    }

    if ( !page_exists_by_title('Page Right Sidebar') ) {
      $page_title = 'Page Right Sidebar';
      $content = 'Te obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semelTe obtinuit ut adepto satis somno. Aliisque institoribus iter deliciae vivet vita. Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.Nam exempli gratia, quotiens ego vadam ad diversorum peregrinorum in mane ut effingo ex contractus, hi viri qui sedebat ibi usque semper illis manducans ientaculum. Solum cum bulla ut debui; EGO youd adepto a macula proiciendi. Sed quis scit si forte quod esset optima res pro me. sicut ea quae sentio. Qui vellem cadunt off ius desk ejus! Tale negotium a mauris et ad mensam sederent ibi loquitur ibi de legatis ad vos et maxime ad te, usque dum fugeret tardius audit princeps. Bene tamen fiduciam Ego got off semel.';

      $ot_page = array(
        'post_type'     => 'page',
        'post_title'    => $page_title,
        'post_content'  => $content,
        'post_status'   => 'publish',
        'post_author'   => 1,
        'post_name'     => 'page-right'
      );
      $page_id = wp_insert_post($ot_page);

      // Set the page template
      add_post_meta($page_id, '_wp_page_template', 'page-template/right-sidebar.php');
    }else {
      // Get the ID of the existing page
      $ot_page = page_exists_by_title('Page Right Sidebar');
    } 

    if ( ! page_exists_by_title('We Build Everything That You Need') ) {
      $page_title = 'We Build Everything That You Need';
      $content = 'consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum';

      $building_construction_lite_about_page = array(
          'post_type'     => 'page',
          'post_title'    => $page_title,
          'post_content'  => $content,
          'post_status'   => 'publish',
          'post_author'   => 1,
          'post_name'     => 'about'
      );
      $building_construction_lite_about_page_id = wp_insert_post($building_construction_lite_about_page);

      $building_construction_lite_about_image_url = get_stylesheet_directory_uri().'/assets/images/about.jpg';

      $building_construction_lite_about_image_name = 'about.jpg';
      $building_construction_lite_about_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $building_construction_lite_about_image_data       = file_get_contents($building_construction_lite_about_image_url); 
       
      // Get image data
      $building_construction_lite_about_unique_file_name = wp_unique_filename( $building_construction_lite_about_upload_dir['path'], $building_construction_lite_about_image_name ); 
      // Generate unique name
      $filename= basename( $building_construction_lite_about_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $building_construction_lite_about_upload_dir['path'] ) ) {
          $file = $building_construction_lite_about_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $building_construction_lite_about_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $building_construction_lite_about_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $building_construction_lite_about_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $building_construction_lite_about_attachment, $file, $building_construction_lite_about_page_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $building_construction_lite_about_page_id, $attach_id );

    } else {
      // Get the ID of the existing page
      $building_construction_lite_about_page_id = page_exists_by_title('We Build Everything That You Need');
    }

    // ------- Create Main Menu --------
    $menuname =  'Primary Menu';
    $bpmenulocation = 'primary';
    $menu_exists = wp_get_nav_menu_object( $menuname );

    if (!$menu_exists) {
      // Create the menu
      $menu_id = wp_create_nav_menu($menuname);

      // Add the HOME item
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Home', 'building-construction-lite'),
          'menu-item-classes' => 'home',
          'menu-item-url'     => home_url('/index.php/home/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the PAGE item
      $parent_page_item_id = wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Pages', 'building-construction-lite'),
          'menu-item-classes' => 'page',
          'menu-item-url'     => home_url('/index.php/page/'),
          'menu-item-status'  => 'publish'
      ));

      // Add the Page Left Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Left Sidebar', 'building-construction-lite'),
          'menu-item-classes' => 'page-left',
          'menu-item-url'     => home_url('/index.php/page-left/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      // Add the Page Right Sidebar item as a child of PAGE
      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'   => __('Page Right Sidebar', 'building-construction-lite'),
          'menu-item-classes' => 'page-right',
          'menu-item-url'     => home_url('/index.php/page-right/'),
          'menu-item-status'  => 'publish',
          'menu-item-parent-id' => $parent_page_item_id
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Projects', 'building-construction-lite'),
          'menu-item-classes' => 'about',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Services', 'building-construction-lite'),
          'menu-item-classes' => 'news',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));

      wp_update_nav_menu_item($menu_id, 0, array(
          'menu-item-title'  => __('Contact Us', 'building-construction-lite'),
          'menu-item-classes' => 'contact',
          'menu-item-url'     => '#',
          'menu-item-status'  => 'publish'
      ));
      
      // Assign the menu to the desired location if not already assigned
      if (!has_nav_menu($bpmenulocation)) {
          $locations = get_theme_mod('nav_menu_locations');
          $locations[$bpmenulocation] = $menu_id;
          set_theme_mod('nav_menu_locations', $locations);
      }
    }
       
    // --------Top Header------------------------

    set_theme_mod( 'construction_firm_top_content', 'Welcome to Construction Estate Company' ); 

    // --------Social icons------------------------

    set_theme_mod( 'construction_firm_facebook', 'https://facebook.com/' ); 

    set_theme_mod( 'construction_firm_twitter', 'https://twitter.com/' );

    set_theme_mod( 'construction_firm_linkedin', 'https://linkedin.com/' ); 

    set_theme_mod( 'construction_firm_pinterest', 'https://pinterest.com/' );

    // --------Contact Header------------------------

    set_theme_mod( 'construction_firm_timing_text', 'Our Timing' );

    set_theme_mod( 'construction_firm_timing', 'Mon - Fri 9:00AM - 5:00PM Sun - CLOSED' );

    set_theme_mod( 'construction_firm_timimg_icon', 'fas fa-clock' );

    set_theme_mod( 'construction_firm_call_text', 'Call Us Now' );

    set_theme_mod( 'construction_firm_call', '(+91) 1800-214-122' );

    set_theme_mod( 'construction_firm_call_icon', 'fas fa-phone' );

    set_theme_mod( 'construction_firm_email_text', 'Email Us Now' );

    set_theme_mod( 'construction_firm_email', 'support@example.com' );

    set_theme_mod( 'construction_firm_email_icon', 'fas fa-envelope' );

    //-------------- SLIDER-----------------------

    set_theme_mod('construction_firm_slider_count','4');

    set_theme_mod( 'construction_firm_slide_heading', 'START WORK WITH US' ); 

    for($i=1;$i<=4;$i++){

      $title = 'The Best Company For Construction Estate';
      $content = 'consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum';

      // Create post object
      $construction_firm_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
      );

      $construction_firm_slider_post_id = wp_insert_post($construction_firm_my_post);

      $construction_firm_post_image_url = get_stylesheet_directory_uri().'/assets/images/slider.jpg';

      $construction_firm_image_name = 'slider.jpg';
      $construction_firm_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $construction_firm_image_data       = file_get_contents($construction_firm_post_image_url); 
       
      // Get image data
      $construction_firm_unique_file_name = wp_unique_filename( $construction_firm_upload_dir['path'], $construction_firm_image_name ); 
      // Generate unique name
      $filename= basename( $construction_firm_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $construction_firm_upload_dir['path'] ) ) {
          $file = $construction_firm_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $construction_firm_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $construction_firm_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $construction_firm_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'post',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $construction_firm_attachment, $file, $construction_firm_slider_post_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $construction_firm_slider_post_id, $attach_id );

      // Set theme mod for each post created
      set_theme_mod('construction_firm_post_setting' . $i, $construction_firm_slider_post_id);

    }

    //-------------- Service-----------------------

    $construction_firm_service_title=array('5S Implementation','Safety First','Modern Equipment','Trained Staff');

    for($i=1;$i<=4;$i++){

      $title = $construction_firm_service_title[$i-1];
      $content = 'consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum';

      // Create post object
      $construction_firm_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
      );

      $construction_firm_service_post_id = wp_insert_post($construction_firm_my_post);

      set_theme_mod('construction_firm_middle_sec_settigs' . $i, $construction_firm_service_post_id);

    }

    //-------------- About Us -----------------------

    set_theme_mod( 'building_construction_lite_about_us_title', 'ABOUT US' );
    
    set_theme_mod( 'building_construction_lite_about_us_settigs', $building_construction_lite_about_page_id );

    //-------------- Our Project-----------------------

    set_theme_mod( 'construction_firm_project_section_title', 'Our Projects' );

    $construction_firm_project_category = wp_create_category('Project'); 

    set_theme_mod( 'construction_firm_project_count', '4' );

    for($i=1;$i<=4;$i++){

      $title = 'We Build Everything That You Need';
      $content = 'consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum';

      // Create post object
      $construction_firm_my_post = array(
       'post_title'    => wp_strip_all_tags( $title ),
       'post_content'  => $content,
       'post_status'   => 'publish',
       'post_type'     => 'post',
       'post_category' => array($construction_firm_project_category),
      );

      $construction_firm_project_post_id = wp_insert_post($construction_firm_my_post);

      $construction_firm_project_post_image_url = get_template_directory_uri().'/assets/images/image'.$i.'.png';

      $construction_firm_project_image_name = 'image'.$i.'.png';
      $construction_firm_project_upload_dir       = wp_upload_dir(); 
      // Set upload folder
      $construction_firm_project_image_data       = file_get_contents($construction_firm_project_post_image_url); 
       
      // Get image data
      $construction_firm_project_unique_file_name = wp_unique_filename( $construction_firm_project_upload_dir['path'], $construction_firm_project_image_name ); 
      // Generate unique name
      $filename= basename( $construction_firm_project_unique_file_name ); 
      // Create image file name
      // Check folder permission and define file location
      if( wp_mkdir_p( $construction_firm_project_upload_dir['path'] ) ) {
          $file = $construction_firm_project_upload_dir['path'] . '/' . $filename;
      } else {
          $file = $construction_firm_project_upload_dir['basedir'] . '/' . $filename;
      }
      file_put_contents( $file, $construction_firm_project_image_data );
      $wp_filetype = wp_check_filetype( $filename, null );
      $construction_firm_project_attachment = array(
          'post_mime_type' => $wp_filetype['type'],
          'post_title'     => sanitize_file_name( $filename ),
          'post_content'   => '',
          'post_type'     => 'post',
          'post_status'    => 'inherit'
      );
      $attach_id = wp_insert_attachment( $construction_firm_project_attachment, $file, $construction_firm_project_post_id );
      require_once(ABSPATH . 'wp-admin/includes/image.php');
      $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
          wp_update_attachment_metadata( $attach_id, $attach_data );
          set_post_thumbnail( $construction_firm_project_post_id, $attach_id );

    }

    set_theme_mod( 'construction_firm_category_setting', 'Project' );
    
?>